/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ToolActionDescription } from "./ToolActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolActionFieldSelectorDescription = /*@__PURE__*/ (() => {
    class ToolActionFieldSelectorDescription extends ToolActionDescription {
        get_type() {
            return "ToolActionFieldSelector";
        }
        constructor() {
            super();
            this.ej = null;
            this.el = null;
            this.ek = null;
            this.dz = false;
            this.dv = null;
            this.d0 = false;
            this.dw = null;
            this.d8 = 0;
            this.d4 = 0;
            this.d9 = 0;
            this.d5 = 0;
            this.d7 = 0;
            this.d3 = 0;
            this.ea = 0;
            this.d6 = 0;
        }
        get dataSourceRef() {
            return this.ej;
        }
        set dataSourceRef(a) {
            this.ej = a;
            this.g("DataSourceRef");
        }
        get legendTargetRef() {
            return this.el;
        }
        set legendTargetRef(a) {
            this.el = a;
            this.g("LegendTargetRef");
        }
        get fieldType() {
            return this.ek;
        }
        set fieldType(a) {
            this.ek = a;
            this.g("FieldType");
        }
        get singleSelection() {
            return this.dz;
        }
        set singleSelection(a) {
            this.dz = a;
            this.g("SingleSelection");
        }
        get aggregations() {
            return this.dv;
        }
        set aggregations(a) {
            this.dv = a;
            this.g("Aggregations");
        }
        get updateDataSource() {
            return this.d0;
        }
        set updateDataSource(a) {
            this.d0 = a;
            this.g("UpdateDataSource");
        }
        get selectedAggregations() {
            return this.dw;
        }
        set selectedAggregations(a) {
            this.dw = a;
            this.g("SelectedAggregations");
        }
        get paddingLeft() {
            return this.d8;
        }
        set paddingLeft(a) {
            this.d8 = a;
            this.g("PaddingLeft");
        }
        get actualPaddingLeft() {
            return this.d4;
        }
        set actualPaddingLeft(a) {
            this.d4 = a;
            this.g("ActualPaddingLeft");
        }
        get paddingRight() {
            return this.d9;
        }
        set paddingRight(a) {
            this.d9 = a;
            this.g("PaddingRight");
        }
        get actualPaddingRight() {
            return this.d5;
        }
        set actualPaddingRight(a) {
            this.d5 = a;
            this.g("ActualPaddingRight");
        }
        get paddingBottom() {
            return this.d7;
        }
        set paddingBottom(a) {
            this.d7 = a;
            this.g("PaddingBottom");
        }
        get actualPaddingBottom() {
            return this.d3;
        }
        set actualPaddingBottom(a) {
            this.d3 = a;
            this.g("ActualPaddingBottom");
        }
        get paddingTop() {
            return this.ea;
        }
        set paddingTop(a) {
            this.ea = a;
            this.g("PaddingTop");
        }
        get actualPaddingTop() {
            return this.d6;
        }
        set actualPaddingTop(a) {
            this.d6 = a;
            this.g("ActualPaddingTop");
        }
    }
    ToolActionFieldSelectorDescription.$t = /*@__PURE__*/ markType(ToolActionFieldSelectorDescription, 'ToolActionFieldSelectorDescription', ToolActionDescription.$);
    return ToolActionFieldSelectorDescription;
})();
